<article>
    <?php if(has_post_thumbnail()) {
        // A header configured specifically for this article
        $url = get_the_post_thumbnail_url();
    } elseif(!($args["hide_default_header_image"] ?? false)) {
        // Fall back to the default header (which can be configured site-wide, so we can't hardcode the URL)
        $url = get_header_image();
    } else {
        $url = null;
    }

    if($url !== null) {
        $style = "style=\"background-image:url('$url')\"";
    } else {
        $style = "";
    } ?>

    <header <?php echo $style; ?>>
        <?php if($args["link_title"] ?? false): ?>
            <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
        <?php else: ?>
            <h1><?php the_title(); ?></h1>
        <?php endif; ?>
    </header>
    <div class="content">
        <?php if($args["show_only_excerpt"] ?? false) {
            the_excerpt();
        } else {
            the_content(); 
        } ?>
    </div>
    <footer>
        <?php if($args["show_author"]): ?>
            <div class="author"><?php the_author_meta('display_name'); ?></div>
        <?php endif; ?>

        <?php if($args["show_published_date"]): ?>
            <div class="published date"><span class="label">Veröffentlicht: </span><time><?php the_date(); ?></time></div>
        <?php endif; ?>

        <?php if($args["show_modified_date"]):
            $different = "";
            if($args["show_published_date"] && get_the_modified_date() !== get_the_date()) {
                $different = "different";
            }
        ?>
            <div class="modified date <?php echo $different; ?>"><span class="label">Zuletzt geändert: </span><time><?php the_modified_date(); ?></time></div>
        <?php endif; ?>
    </footer>
</article>
