<?php
/**
 * Template for the search results page.
 *
 * WordPress identifies this file by its name (which MUST be search.php)
 * and displays it whenever it has to display lists of search results.
 *
 * @see https://codex.wordpress.org/Theme_Development#Search_Results_.28search.php.29
 */

get_header();
?>
<aside class="levitating list-meta">
    <h1>Suchergebnisse</h1>
    <h2 class="search-term"><?php the_search_query(); ?></h2>
</aside>

<main class="list">
    <?php while (have_posts()) {
        the_post();
        get_template_part("components/article", null, array(
            "show_author" => false,
            "show_published_date" => true,
            "show_modified_date" => false,
            "show_only_excerpt" => true,
            "link_title" => true,
            "hide_default_header_image" => true
        ));
    } 
    
    get_template_part("components/pagination");
    ?>
</main>
<?php get_footer(); ?>
