<?php
/**
 * Template for a single post.
 *
 * Posts are generally used to present a piece of information that is relevant 
 * during a certain timespan, like a news article or an announcement. After that time, the contents
 * often lose most of its relevance, aren't updated anymore (even if it means information
 * presented in a post stops to be accurate due to its old age) and kept only for
 * archival purposes.
 * 
 * Posts have an announcement-like character, and announcements are nothing else then messages,
 * and for messages, we generally care about the author, so we display it. We also display
 * the publication date and the date of the last change.
 * 
 * WordPress identifies this file by its name (which MUST be single.php).
 *
 * @see https://codex.wordpress.org/Theme_Development#Single_Post_.28single.php.29
 */

get_header();
?>
<main>
    <?php 
        the_post();
        get_template_part("components/article", null, array(
            "show_author" => true,
            "show_published_date" => true,
            "show_modified_date" => true
        ));
    ?>
</main>
<?php get_footer(); ?>
